Bug 64703 - gnome-terminal doesn't execute programs via -e
gnome-terminal doesn't execute programs via -e
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-05-09 16:14 EDT by david d zuhn
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-09 18:46:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description david d zuhn 2002-05-09 16:14:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
gnome-terminal -x ssh hostname should execute 'ssh hostname' instead of
the standard user shell.  I can't find any means of making this work
in the 7.3 gnome-terminal, while it worked fine under Ximian gnome 1.4
and (I'm pretty sure, but I don't have the boxes handy to test) on
previous RH Gnome releases.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  gnome-terminal -x ssh someremotehost


Actual Results:  You get a new gnome-terminal window, but with a local shell instead
of a remote shell via ssh

Expected Results:  An ssh based login to the remote host.

Any text oriented program can be substituted for 'ssh someremotehost',
it just happens to be the test case I discovered this with.

Additional info:
Comment 1 david d zuhn 2002-05-09 16:25:34 EDT
Okay, so the summary should say -x not -e.  The problem otherwise stands
as documented.
Comment 2 Havoc Pennington 2002-05-09 17:10:49 EDT
7.2 and 7.3 have the same version of gnome-terminal though, so that's strange.
-e works?
Comment 3 david d zuhn 2002-05-09 17:18:01 EDT
No, -e doesn't work either.   Nor does --execute.

Comment 4 Havoc Pennington 2002-05-09 17:36:46 EDT
Works for me. 

Try "gnome-terminal -e top" and send along the output of "gnome-terminal
--version" and "rpm -q gnome-core"
Comment 5 david d zuhn 2002-05-09 17:45:28 EDT
gnome-terminal -e top
   <new terminal window, login shell instead of top>

homestake 16:43:22 [zoo] gnome-terminal --version
Gnome Terminal
homestake 16:44:06 [zoo] rpm -q gnome-core
Comment 6 Havoc Pennington 2002-05-09 18:01:45 EDT
Weird. Maybe try "rpm --verify gnome-core"

Perhaps you have a "factory" terminal running, and your command line is just
starting up another window in the current terminal. The factory mode
(--start-factory) doesn't work quite right because it doesn't forward command
line args.
Comment 7 david d zuhn 2002-05-09 18:13:14 EDT
All kosher on the rpm-verify.

I did have some terminal windows started with:

   gnome-terminal --use-factory --start-factory-server

which is what I get from the "Programs|System|GNOME terminal" menu choice.

I killed off all of those processes, and then (from an xterm) started all
of the test cases (-e, -x, --command, --execute).  No difference in execution
(just the user shell).

Comment 8 Havoc Pennington 2002-05-09 18:45:55 EDT
I don't have any more ideas on what to check. I'll think about it, and we'll see
if more reports come in.
Comment 9 Havoc Pennington 2002-07-06 18:42:52 EDT
gnome-terminal codebase is entirely replaced in rawhide, so this bug no longer
applies. Others probably do. ;-)

Note You need to log in before you can comment on or make changes to this bug.